> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flashdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Document Configurations



## OpenAPI

````yaml https://api.flashdocs.ai/openapi.json get /v1/documents/base
openapi: 3.1.0
info:
  title: FlashDocs API
  description: API for FlashDocs application
  version: 1.0.0
servers:
  - url: https://api.flashdocs.ai
    description: Production server
security: []
paths:
  /v1/documents/base:
    get:
      tags:
        - FlashDocs Document Configuration
      summary: List Document Configurations
      operationId: list_documents_v1_documents_base_get
      parameters:
        - name: document_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/DocumentType'
              - type: 'null'
            description: >-
              Document type to filter by. If not provided, all documents will be
              returned.
            title: Document Type
          description: >-
            Document type to filter by. If not provided, all documents will be
            returned.
        - name: format
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/Format'
              - type: 'null'
            description: >-
              Document format to filter by. If not provided, all documents will
              be returned.
            title: Format
          description: >-
            Document format to filter by. If not provided, all documents will be
            returned.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DocumentMetaData'
                title: Response List Documents V1 Documents Base Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    DocumentType:
      type: string
      enum:
        - template
        - library
      title: DocumentType
    Format:
      type: string
      enum:
        - google
        - microsoft
      title: Format
    DocumentMetaData:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier
        created_at:
          type: string
          title: Created At
          description: Creation timestamp
        updated_at:
          type: string
          title: Updated At
          description: Last update timestamp
        organization_id:
          type: string
          title: Organization Id
          description: ID of the organization this document belongs to
        type:
          allOf:
            - $ref: '#/components/schemas/DocumentType'
          description: Type of the document (template or library)
        created_by:
          type: string
          title: Created By
          description: Email of user (non FlashDocs) who created the document
          default: ''
        name:
          type: string
          title: Name
          description: Name of the document
        description:
          type: string
          title: Description
          description: Detailed description of the document
        status:
          allOf:
            - $ref: '#/components/schemas/DocumentStatus'
          description: Current status of the document
          default: in_progress
        google_document_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Google Document Id
          description: ID of the corresponding Google Slides document
        knowledge_base_item_ids:
          items:
            type: string
          type: array
          title: Knowledge Base Item Ids
          description: item_id for each knowledge base item associated with document.
          default: []
        format:
          allOf:
            - $ref: '#/components/schemas/Format'
          description: Format of the document google vs microsoft
          default: google
      type: object
      required:
        - organization_id
        - type
        - name
        - description
      title: DocumentMetaData
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentStatus:
      type: string
      enum:
        - deployed
        - in_progress
      title: DocumentStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````